Index: src/sas/qtgui/GuiManager.py
===================================================================
--- src/sas/qtgui/GuiManager.py	(revision 363fbfa07207fe7ae5f577b063028a6ad59c1435)
+++ src/sas/qtgui/GuiManager.py	(revision 31c5b583d8c577c4ed72be87d22d34ec2ed50c04)
@@ -25,5 +25,4 @@
 from sas.qtgui.SldPanel import SldPanel
 from sas.qtgui.DensityPanel import DensityPanel
-from sas.qtgui.KiessigPanel import KiessigPanel
 
 # Perspectives
@@ -138,6 +137,5 @@
         self.SLDCalculator = SldPanel(self)
         self.DVCalculator = DensityPanel(self)
-        #self.KIESSIGCalculator = DensityPanel(self)#KiessigPanel(self)
-        self.KIESSIGCalculator =  KiessigPanel(self)
+
     def statusBarSetup(self):
         """
@@ -355,6 +353,4 @@
         self._workspace.actionSLD_Calculator.triggered.connect(self.actionSLD_Calculator)
         self._workspace.actionDensity_Volume_Calculator.triggered.connect(self.actionDensity_Volume_Calculator)
-        self._workspace.actionKeissig_Calculator.triggered.connect(self.actionKiessig_Calculator)
-        #self._workspace.actionKIESSING_Calculator.triggered.connect(self.actionKIESSING_Calculator)
         self._workspace.actionSlit_Size_Calculator.triggered.connect(self.actionSlit_Size_Calculator)
         self._workspace.actionSAS_Resolution_Estimator.triggered.connect(self.actionSAS_Resolution_Estimator)
@@ -530,10 +526,4 @@
         self.DVCalculator.show()
 
-    def actionKiessig_Calculator(self):
-        """
-        """
-        #self.DVCalculator.show()
-        self.KIESSIGCalculator.show()
-
     def actionSlit_Size_Calculator(self):
         """
Index: c/sas/qtgui/KiessigPanel.py
===================================================================
--- src/sas/qtgui/KiessigPanel.py	(revision 040529d59cec22934096b06caeb1e05dcbeb7f7f)
+++ 	(revision )
@@ -1,62 +1,0 @@
-from PyQt4 import QtGui
-from PyQt4 import QtCore
-from UI.KiessigPanel import Ui_KiessigPanel
-
-# sas-global
-from sas.sascalc.calculator.kiessig_calculator import KiessigThicknessCalculator
-
-
-class KiessigPanel(QtGui.QDialog, Ui_KiessigPanel):
-    def __init__(self, parent=None):
-        super(KiessigPanel, self).__init__()
-        self.setupUi(self)
-
-        self.setWindowTitle("Kiessig Thickness Calculator")
-
-        self.manager = parent
-        self.thickness = KiessigThicknessCalculator()
-
-        self.deltaq_in.setText("0.05")
-
-        # signals
-        self.helpButton.clicked.connect(self.onHelp)
-        self.computeButton.clicked.connect(self.onCompute)
-        self.closeButton.clicked.connect(self.onClose)
-
-        # no reason to have this widget resizable
-        self.setFixedSize(self.minimumSizeHint())
-
-    def onHelp(self):
-        """
-        Bring up the Kiessig fringe calculator Documentation whenever
-        the HELP button is clicked.
-        Calls DocumentationWindow with the path of the location within the
-        documentation tree (after /doc/ ....".
-        """
-        try:
-            location = self.manager.HELP_DIRECTORY_LOCATION + \
-                "/user/sasgui/perspectives/calculator/kiessig_calculator_help.html"
-
-            self.manager._helpView.load(QtCore.QUrl(location))
-            self.manager._helpView.show()
-        except AttributeError:
-            # No manager defined - testing and standalone runs
-            pass
-
-    def onCompute(self):
-        """
-        Execute the computation of thickness
-        """
-        try:
-            self.thickness.set_deltaq(dq=float(self.deltaq_in.text()))
-            kiessing_result = self.thickness.compute_thickness()
-            float_as_str = "{:.3f}".format(kiessing_result)
-            self.lengthscale_out.setText(float_as_str)
-        except (ArithmeticError, ValueError):
-            self.lengthscale_out.setText("")
-
-    def onClose(self):
-        """
-        close the window containing this panel
-        """
-        self.close()
Index: c/sas/qtgui/UI/KiessigPanel.ui
===================================================================
--- src/sas/qtgui/UI/KiessigPanel.ui	(revision 040529d59cec22934096b06caeb1e05dcbeb7f7f)
+++ 	(revision )
@@ -1,139 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<ui version="4.0">
- <class>KiessigPanel</class>
- <widget class="QDialog" name="KiessigPanel">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>354</width>
-    <height>193</height>
-   </rect>
-  </property>
-  <property name="windowTitle">
-   <string>Dialog</string>
-  </property>
-  <property name="windowIcon">
-   <iconset resource="main_resources.qrc">
-    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
-  </property>
-  <property name="toolTip">
-   <string/>
-  </property>
-  <layout class="QGridLayout" name="gridLayout_3">
-   <item row="0" column="0" colspan="3">
-    <widget class="QGroupBox" name="groupBox">
-     <property name="title">
-      <string>Input</string>
-     </property>
-     <layout class="QGridLayout" name="gridLayout">
-      <item row="0" column="0">
-       <layout class="QHBoxLayout" name="horizontalLayout">
-        <item>
-         <widget class="QLabel" name="label">
-          <property name="text">
-           <string>Kiessing Fringe Width (Delta Q)</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QLineEdit" name="deltaq_in"/>
-        </item>
-        <item>
-         <widget class="QLabel" name="label_2">
-          <property name="text">
-           <string>1/Ã
-</string>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item row="1" column="0" colspan="3">
-    <widget class="QGroupBox" name="groupBox_2">
-     <property name="title">
-      <string>Output</string>
-     </property>
-     <layout class="QGridLayout" name="gridLayout_2">
-      <item row="0" column="0">
-       <layout class="QHBoxLayout" name="horizontalLayout_2">
-        <item>
-         <widget class="QLabel" name="label_3">
-          <property name="text">
-           <string>Thickness (or Diameter)               </string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QLineEdit" name="lengthscale_out">
-          <property name="readOnly">
-           <bool>true</bool>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QLabel" name="label_4">
-          <property name="text">
-           <string>   Ã
-</string>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item row="2" column="2">
-    <spacer name="verticalSpacer">
-     <property name="orientation">
-      <enum>Qt::Vertical</enum>
-     </property>
-     <property name="sizeHint" stdset="0">
-      <size>
-       <width>20</width>
-       <height>40</height>
-      </size>
-     </property>
-    </spacer>
-   </item>
-   <item row="3" column="1">
-    <widget class="QPushButton" name="closeButton">
-     <property name="toolTip">
-      <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Close this window.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-     </property>
-     <property name="text">
-      <string>Close</string>
-     </property>
-    </widget>
-   </item>
-   <item row="3" column="2">
-    <widget class="QPushButton" name="helpButton">
-     <property name="toolTip">
-      <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Help using the Kiessing fringe calculator.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-     </property>
-     <property name="text">
-      <string>Help</string>
-     </property>
-    </widget>
-   </item>
-   <item row="3" column="0">
-    <widget class="QPushButton" name="computeButton">
-     <property name="toolTip">
-      <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Compute the thickness or diameter.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-     </property>
-     <property name="text">
-      <string>Compute</string>
-     </property>
-    </widget>
-   </item>
-  </layout>
- </widget>
- <resources>
-  <include location="main_resources.qrc"/>
- </resources>
- <connections/>
-</ui>
Index: src/sas/qtgui/UI/MainWindowUI.ui
===================================================================
--- src/sas/qtgui/UI/MainWindowUI.ui	(revision 363fbfa07207fe7ae5f577b063028a6ad59c1435)
+++ src/sas/qtgui/UI/MainWindowUI.ui	(revision 0cd861274c705e809cccd5c60271a4621dee35d3)
@@ -25,5 +25,5 @@
      <y>0</y>
      <width>915</width>
-     <height>25</height>
+     <height>21</height>
     </rect>
    </property>
@@ -82,9 +82,7 @@
     </property>
     <addaction name="actionData_Operation"/>
-    <addaction name="separator"/>
     <addaction name="actionSLD_Calculator"/>
     <addaction name="actionDensity_Volume_Calculator"/>
     <addaction name="actionSlit_Size_Calculator"/>
-    <addaction name="actionKeissig_Calculator"/>
     <addaction name="actionSAS_Resolution_Estimator"/>
     <addaction name="actionGeneric_Scattering_Calculator"/>
@@ -491,9 +489,4 @@
    </property>
   </action>
-  <action name="actionKeissig_Calculator">
-   <property name="text">
-    <string>Kiessig Thickness Calculator</string>
-   </property>
-  </action>
  </widget>
  <resources>
Index: c/sas/qtgui/UnitTesting/KiessigCalculatorTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/KiessigCalculatorTest.py	(revision 040529d59cec22934096b06caeb1e05dcbeb7f7f)
+++ 	(revision )
@@ -1,83 +1,0 @@
-import sys
-import unittest
-from PyQt4 import QtGui
-from PyQt4.QtTest import QTest
-from PyQt4.QtCore import Qt
-
-# TEMP
-import path_prepare
-
-
-from KiessigPanel import KiessigPanel
-
-app = QtGui.QApplication(sys.argv)
-
-
-class KiessigCalculatorTest(unittest.TestCase):
-    """Test the KiessigCalculator"""
-    def setUp(self):
-        """Create the KiessigCalculator"""
-        self.widget = KiessigPanel(None)
-
-    def tearDown(self):
-        """Destroy the KiessigCalculator"""
-        self.widget.close()
-        self.widget = None
-
-    def testDefaults(self):
-        """Test the GUI in its default state"""
-        self.assertIsInstance(self.widget, QtGui.QWidget)
-        self.assertEqual(self.widget.windowTitle(), "Kiessig Thickness Calculator")
-        self.assertEqual(self.widget.sizePolicy().Policy(), QtGui.QSizePolicy.Fixed)
-
-    def testHelp(self):
-        """ Assure help file is shown """
-
-        # this should not rise
-        self.widget.onHelp()
-
-    def testComplexEntryNumbers(self):
-        """ User entered compound calculations and subsequent reset"""
-
-        self.widget.deltaq_in.clear()
-        self.widget.deltaq_in.insert('0.05')
-        #
-        # Push Compute with the left mouse button
-        computeButton = self.widget.computeButton
-        QTest.mouseClick(computeButton, Qt.LeftButton)
-        self.assertEqual(self.widget.lengthscale_out.text(), '125.664')
-
-    def testComplexEntryNumbers2(self):
-        """ User entered compound calculations and subsequent reset"""
-
-        self.widget.deltaq_in.clear()
-        self.widget.deltaq_in.insert('1.0')
-        #
-        # Push Compute with the left mouse button
-        computeButton = self.widget.computeButton
-        QTest.mouseClick(computeButton, Qt.LeftButton)
-        self.assertEqual(self.widget.lengthscale_out.text(), '6.283')
-
-    def testComplexEntryNumbers3(self):
-        """ User entered compound calculations and subsequent reset"""
-
-        self.widget.deltaq_in.clear()
-        self.widget.deltaq_in.insert('2.0')
-        #
-        # Push Compute with the left mouse button
-        computeButton = self.widget.computeButton
-        QTest.mouseClick(computeButton, Qt.LeftButton)
-        self.assertEqual(self.widget.lengthscale_out.text(), '3.142')
-
-    def testComplexEntryLetters(self):
-        """ User entered compound calculations and subsequent reset"""
-
-        self.widget.deltaq_in.insert("xyz")
-
-        # Push Compute with the left mouse button
-        computeButton = self.widget.computeButton
-        QTest.mouseClick(computeButton, Qt.LeftButton)
-        self.assertEqual(self.widget.lengthscale_out.text(), '')
-
-if __name__ == "__main__":
-    unittest.main()
Index: src/sas/qtgui/run_tests.bat
===================================================================
--- src/sas/qtgui/run_tests.bat	(revision 363fbfa07207fe7ae5f577b063028a6ad59c1435)
+++ src/sas/qtgui/run_tests.bat	(revision f51ed677cd8461e82d4cf08d0c78ef678c8f9433)
@@ -11,3 +11,2 @@
 python -m UnitTesting.SasviewLoggerTest
 python -m UnitTesting.PlotHelperTest
-python -m UnitTesting.KiessigCalculatorTest
Index: src/sas/qtgui/run_tests.sh
===================================================================
--- src/sas/qtgui/run_tests.sh	(revision 363fbfa07207fe7ae5f577b063028a6ad59c1435)
+++ src/sas/qtgui/run_tests.sh	(revision 9968d6aeb28c6ec676bf3f34c564f14679fa8ad9)
@@ -10,3 +10,2 @@
 python -m UnitTesting.SasviewLoggerTest
 python -m UnitTesting.DensityCalculatorTest
-python -m UnitTesting.KiessigCalculatorTest
